// |$Id: names.c,v 1.1.1.1 2024/10/07 17:24:38 pm Exp $         |
/* |------------------------------------------------------------|
   | Basic Seismic Utilities (BSU)                              |
   | LANGUAGE: C                                                |
   | AUTHOR: P. MICHAELS    http://173.255.241.228              | 
   | FUNCTION NAME: names.c                                     |
   | DIRECTORY: bsu-3.0.3/src/sublibC4                          |
   |------------------------------------------------------------|
   |  NOTICE:                                                   |
   |  Copyright (C) 2021 Paul Michaels                          |
   |  <paulmichaels@boisestate.edu>                             |
   |  This program is free software; you can                    |
   |  redistribute it and/or modify it under the terms          |
   |  of the GNU General Public License as published            |
   |  by the Free Software Foundation; either version           |
   |  3 of the License, or (at your option) any later           |
   |  version.  This program is distributed in the              |
   |  hope that it will be useful, but                          |
   |  WITHOUT ANY WARRANTY; without even the implied            |
   |  warranty of MERCHANTABILITY or FITNESS FOR A              |
   |  PARTICULAR PURPOSE.  See the GNU General Public           |
   |  License for more details.                                 |
   |  You should have received a copy of the GNU                |
   |  General Public License along with this program;           |
   |  if not, write to the Free Software Foundation,            |
   |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
   |------------------------------------------------------------|
   |                                                            |
   | purpose: given input file name, name output                |
   |          and listing files                                 |
   | format: 4char input + process id + 3char suffix            |
   |                                                            |
   |------------------------------------------------------------|
*/
      #include <stdio.h>

      void names(char infile[], char pid[],
        char ofile[], char suffix[])
     {
      char              stmp[5],
                        cnul=0;
      int               i;

//...name output files
       for (i=0;i<4;i++) stmp[i]=infile[i];
       stmp[4]=cnul;

       sprintf(ofile,"%s%s.%s",pid,stmp,suffix);    //process first

      } // end names
