//   $Id: datetime.c,v 1.1.1.1 2024/10/07 17:24:38 pm Exp $
/* Suitable for Fortran77 and Fortran90 */

#include <stdio.h>
#include <time.h>

/*
c --------------------------------------------------------------
c | Basic Seismic Utilities                                    |
c | AUTHOR: P. MICHAELS  http://173.255.241.228                | 
c | PROGRAM NAME: datetime.c                                   |
c | DIRECTORY: bsu-3.0.3/src/sublibF4                          |
c |------------------------------------------------------------|
c |  NOTICE:                                                   |
c |  Copyright (C) 2021 Paul Michaels                          |
c |  <paulmichaels@boisestate.edu>                             |
c |  This program is free software; you can                    |
c |  redistribute it and/or modify it under the terms          |
c |  of the GNU General Public License as published            |
c |  by the Free Software Foundation; either version           |
c |  3 of the License, or (at your option) any later           |
c |  version.  This program is distributed in the              |
c |  hope that it will be useful, but                          |
c |  WITHOUT ANY WARRANTY; without even the implied            |
c |  warranty of MERCHANTABILITY or FITNESS FOR A              |
c |  PARTICULAR PURPOSE.  See the GNU General Public           |
c |  License for more details.                                 |
c |  You should have received a copy of the GNU                |
c |  General Public License along with this program;           |
c |  if not, write to the Free Software Foundation,            |
c |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
c |------------------------------------------------------------|

---------------------------------------------------------------------------
provides date and time to a fortran call  
---------------------------------------------------------------------------
*/


void datetime(short *hr, short *min, short *sec,
	short *day, short *month, short *year); 

void datetime_(short *hr, short *min, short *sec,
	short *day, short *month, short *year) {datetime(hr,min,sec,day,month,year);} 

void datetime(short *hr, short *min, short *sec,
	short *day, short *month, short *year)
{ 
      time_t            start;
      struct tm        *ptr;

//...get time and date
      	time(&start);
      	ptr=localtime(&start);
	*hr=(*ptr).tm_hour;
	*min=(*ptr).tm_min;
	*sec=(*ptr).tm_sec;
	*day=(*ptr).tm_mday;
	*month=(*ptr).tm_mon+1;
	*year=(*ptr).tm_year+1900;

/*
      printf(" TIME: %2.2u:%2.2u:%2.2u",
         (*ptr).tm_hour,(*ptr).tm_min,(*ptr).tm_sec);
      printf(" DATE: %2.2d/%3s/%4.4d \n",
         (*ptr).tm_mday,mon[(*ptr).tm_mon],(*ptr).tm_year+1900);
*/
} //end datetime
