c |$Id: namechk.f,v 1.1.1.1 2024/10/07 17:24:38 pm Exp $          |
c --------------------------------------------------------------
c | Basic Seismic Utilities                                    |
c | AUTHOR: P. MICHAELS  http://173.255.241.228                | 
c | PROGRAM NAME: namecheck.f                                  |
c | DIRECTORY: bsu-3.0.0/src/sublibF4                          |
c |------------------------------------------------------------|
c |  NOTICE:                                                   |
c |  Copyright (C) 2021 Paul Michaels                          |
c |  <paulmichaels@boisestate.edu>                             |
c |  This program is free software; you can                    |
c |  redistribute it and/or modify it under the terms          |
c |  of the GNU General Public License as published            |
c |  by the Free Software Foundation; either version           |
c |  3 of the License, or (at your option) any later           |
c |  version.  This program is distributed in the              |
c |  hope that it will be useful, but                          |
c |  WITHOUT ANY WARRANTY; without even the implied            |
c |  warranty of MERCHANTABILITY or FITNESS FOR A              |
c |  PARTICULAR PURPOSE.  See the GNU General Public           |
c |  License for more details.                                 |
c |  You should have received a copy of the GNU                |
c |  General Public License along with this program;           |
c |  if not, write to the Free Software Foundation,            |
c |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
c |------------------------------------------------------------|
c |                                                            |
c | namechk.f  subroutine to check input paramter string       |
c |              gaurd against buffer overflow exploits        |
c |------------------------------------------------------------|
      subroutine namechk(length,string)
      character*40        string
      integer             length
      integer             LARG
      LARG=LEN_TRIM(string)
      if (LARG .gt. length ) then
      write(*,*) '-----------------------------------------------------'
      write(*,'(''[ABORT] Input length violation ['',i2,'']'')') LARG
      write(*,*) 'File Names Restricted to DOS Format xxxxxxxx.xxx '
      write(*,*) 'Prevent Buffer Overflow and Permits Compile for DOS'
      write(*,*) 'Yes, this is a pain, but can be changed by editing'
      write(*,*) 'Seek infile[] outfile[] and listfile[] in codes '
      write(*,*) 'OR you can just use a symbolic link for a file  '
      write(*,*) 'name that conforms to this pattern.             '
      write(*,*) '-----------------------------------------------------'
      stop
      endif
      return
      end
